import { ITemplateReader } from "./TemplateReader";
export interface IComponentFileInfo {
    fileName: string;
    data: string;
}
export interface IComponentInfosGenerator {
    componentDirName: string;
    componentFiles: IComponentFileInfo[];
    componentMkdirPath: string;
}
export declare class ComponentInfosGenerator implements IComponentInfosGenerator {
    componentDirName: string;
    componentMkdirPath: string;
    componentFiles: IComponentFileInfo[];
    private constructor();
    static build(templateInfos: ITemplateReader, argReplaceValue: string, optSubDomainName?: string): IComponentInfosGenerator | Error;
    private static checkReplaceValue;
    private static getComponentWorkDirPath;
    private static createComponentDirName;
    private static createComponentFilesInfo;
}
