"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createComponent = void 0;
const fs = __importStar(require("fs"));
const path_1 = __importDefault(require("path"));
const createComponent = (mkdirPath, compDrirName, componentFiles) => {
    if (fs.existsSync(mkdirPath))
        return new Error(`Impossible de créer le composant "${compDrirName}" à l'emplacement "${path_1.default.relative(path_1.default.resolve(), mkdirPath)}" car un composant du même nom existe déjà à cet emplacement`);
    fs.mkdir(mkdirPath, err => {
        if (err)
            return new Error(`Une erreur est survenue lors de la création du répertoire : \n ${err.message}`);
    });
    for (const file of componentFiles) {
        fs.appendFile(`${mkdirPath}/${file.fileName}`, file.data, (err) => {
            return new Error(`Une erreur c'est produite pendant la création du fichier "${file.fileName}" : \n ${err}`);
        });
        console.log(`Fichier ${file.fileName} : Création OK`);
    }
};
exports.createComponent = createComponent;
//# sourceMappingURL=createComponent.js.map