"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.regexDirectory = exports.ERR_TEMPLATE_DIR_NAME_PART2 = exports.ERR_TEMPLATE_DIR_NAME_PART1 = exports.nameComponentConfigFile = exports.JsonGlobalConfigFile = exports.nameGlobalConfigFile = exports.absolutePathConfigDir = exports.nameConfigDir = exports.separator = exports.cliCommandName = exports.keywordReplacement = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
exports.keywordReplacement = "[raw]";
exports.cliCommandName = "compo";
exports.separator = "@";
exports.nameConfigDir = "component-creator-config";
exports.absolutePathConfigDir = path_1.default.resolve(exports.nameConfigDir);
exports.nameGlobalConfigFile = "config-global.json";
exports.JsonGlobalConfigFile = JSON.parse(fs_1.default.readFileSync(path_1.default.resolve(`${exports.nameConfigDir}/${exports.nameGlobalConfigFile}`)).toString());
exports.nameComponentConfigFile = "config-component.json";
const exempleMsg = `(Exemple : ex: TemplateName${exports.separator}Future${exports.keywordReplacement}Name)`;
exports.ERR_TEMPLATE_DIR_NAME_PART1 = `Vous devez donner un nom à votre template,ecrivez-le nom en toute lettre DEVANT le séparateur "${exports.separator}" \n ${exempleMsg}`;
exports.ERR_TEMPLATE_DIR_NAME_PART2 = `Le nom du répertoire du template doit contenir le Format du future Nom ! \n ${exempleMsg}`;
exports.regexDirectory = new RegExp(`(^[\\w]+)${exports.separator}([\\S]+)`);
//# sourceMappingURL=_config.js.map